Statistics

GET https://trust.host.uk.com/api/statistics/
curl --request GET \
--url 'https://trust.host.uk.com/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
campaign_id Optional Integer
notification_id Optional Integer
start_date Required Start date in Y-m-d format.
end_date Required End date in Y-m-d format.
{
    "data": {
        "statistics" : [
            {
                "impression": 5,
                "hover": 1,
                "click": 1,
                "form_submission": 0,
                "formatted_date": "2021-01"
            },
            {
                "impression": 50,
                "hover": 15,
                "click": 5,
                "form_submission": 3,
                "formatted_date": "2021-02"
            },
            {
                "impression": 15,
                "hover": 10,
                "click": 10,
                "form_submission": 5,
                "formatted_date": "2021-03"
            }
        ],
        "totals": {
            "impression": 70,
            "hover": 26,
            "click": 16,
            "ctr": "0.45",
            "form_submission": 8,
            "conversions": 0
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://trust.host.uk.com/api/statistics?page=1",
        "last": "https://trust.host.uk.com/api/statistics?page=1",
        "next": null,
        "prev": null,
        "self": "https://trust.host.uk.com/api/statistics?page=1"
    }
}